# The Gimble project
This project aims to improve the experience of creating structures in Minecraft.

## Features
- **Modes** Use different modes to edit structures. Think Vim for Minecraft.
- **Modifier** Use modifiers to change the behavior of the modes and your building experience.
- **Undo/Redo** Easily undo and redo your changes. (planned)

## Modes
- **Normal** The default mode. Use it to change to other modes
- **Insert** Edit blocks in the world
- **Visual** Use selection to edit (contains worldedit support) (planned)
- **Replace** Replace blocks in the world

## Modifiers
- **Bulldozer** Basically an auto-clicker
- **Force Place** Ignore block placing restrictions
- **No Clip** Walk and fly through blocks
- **No Updates** Prevent block updates
- **No Gravity** Prevent blocks from falling (planned)
- **Better Fly** Disable floaty fly physics and set custom fly speeds(planned)

## Installation
This mod requires Fabric, the Fabric API, aswell as the HCConfigLib.

## Compiling
Before compiling, you need to generate the sources.
You can do this by running `./gradlew runDatagen` in the project directory.
Then run `./gradlew build` to compile the mod.

## License
This project is licensed under the GNU General Public License v3.0.
See the [LICENSE](LICENSE) file for more information.

